Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132423 - Avoid usage of Deployment.getDefaultServerInstanceID()
Avoid usage of Deployment.getDefaultServerInstanceID()
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: WSIT
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Grebac
issues@webservices
:
Depends on:
Blocks: 83934
  Show dependency treegraph
 
Reported: 2008-04-09 15:36 UTC by Petr Hejl
Modified: 2008-04-25 13:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2008-04-09 15:36:10 UTC
Class: Util

The concept of default server is broken and does not work for a while.

This concept was abandoned since it did not work
anymore. The problem could occur for example if the default server was Tomcat
then the EJB project, which was set to use the default server could not be
deployed to it, etc.

You should use Deployment.getServerInstanceIDs() method to pick
a server they should be deployed to based on the projects requirements.

See issue 83934.
Comment 1 Martin Grebac 2008-04-16 16:13:32 UTC
not critical for 6.1, and there were no objections from users as well; will target 6.5
Comment 2 Lukas Jungmann 2008-04-16 16:32:58 UTC
Please, use Dev if you plan to fix this in 6.5. Future means post-6.5 now...
Comment 3 Petr Hejl 2008-04-16 16:39:37 UTC
I agree it is not critical, however it is blocking the huge cleanup of the j2eeserver. Please at least do the quickfix
asap (remove the call - it can basically remove anything to your code including null).

This should be done soon enough to stabilize the code.
Comment 4 Martin Grebac 2008-04-17 11:18:30 UTC
Fixed in trunk.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo